<?php
$this->PageTitle = 'Fechamentos Comercial &raquo; Visualizar';
$this->widget('zii.widgets.CDetailView', array(
    'data' => $model,
    'attributes' => array(
        'FEN_IDNEGOCIACAO',
        'Cliente',
        array(
            'name' => 'FEN_TIPO_NEGOCIACAO',
            'value' => $model->getTipoNegociacao()
        ),
        array(
            'name' => 'FEN_VLRIMPLANTACAO',
            'value' => Util::verMoeda($model->FEN_VLRIMPLANTACAO)
        ),
        array(
            'name' => 'FEN_VLRNEGOCIADO',
            'value' => Util::verMoeda($model->FEN_VLRNEGOCIADO)
        ),
        array(
            'name' => 'FEN_VLRDIFERENCA',
            'value' => Util::verMoeda($model->FEN_VLRDIFERENCA),
        ),
        'Produto',
        array(
            'name' => 'modulosComplementares',
            'type' => 'raw',
            'value' => $model->listModulosComplementares(true),
            'visible' => in_array($model->FEN_TIPO_NEGOCIACAO, ['CLIENTES_NOVOS', 'REATIVACOES_CLIENTES'])
        ),
        'FEN_NROUSUARIOS',
        'Revenda',
        'Vendedor',
        'Motivo',
        array(
            'name' => 'MotivoVendedor',
            'visible' => in_array($model->FEN_TIPO_NEGOCIACAO, ['CANCELAMENTOS', 'CANCELAMENTOS_TRANSFERENCIA'])
        ),
        'FEN_DTCONTRATACAO',
        'FEN_DTRESCISAO',
        array(
            'name' => 'FEN_STATUS',
            'value' => $model->getStatus()
        )
    ),
));

if ($historicoAlteracoes->itemCount > 0) {
    echo "<h1 id=\"alteracoes\">Histórico de Alterações</h1>";
    $this->widget('ext.Utils.widgets.CrmGridView', array(
        'dataProvider' => $historicoAlteracoes,
        'afterAjaxUpdate'=>'updated',
        'selectableRows'=>1,
        'pager' => Util::getPagerDefaultConfig(),
        'columns' => array(
            'FNA_ID',
            array(
                'name' => 'FNA_CAMPO',
                'value' => '$data->Campo'
            ),
            array(
                'name' => 'FNA_VALOR_ANTERIOR',
                'value' => '$data->getValor($data->FNA_CAMPO, $data->FNA_VALOR_ANTERIOR)'
            ),
            array(
                'name' => 'FNA_VALOR_ATUALIZADO',
                'value' => '$data->getValor($data->FNA_CAMPO, $data->FNA_VALOR_ATUALIZADO)'
            ),
            array(
                'name' => 'FNA_DATA_ALTERACAO',
                'value' => 'Util::formatDataHoraBr($data->FNA_DATA_ALTERACAO)'
            ),
            'Autor'
        ),
    ));
}

$css = <<<CSS
    #alteracoes {
        padding-top: 20px;
        padding-bottom: 0;
    }
CSS;
Yii::app()->getClientScript()->registerCss(Util::uid(), $css);
